package net.northking.cctp.upperComputer.driver.agent.command;

import net.northking.cctp.upperComputer.driver.agent.command.protocol.AbstractProtocolCommand;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

public class AppiumSourceXmlCommand extends AbstractProtocolCommand<String> {

    private static AppiumSourceXmlCommand instance;

    public static AppiumSourceXmlCommand getInstance() {
        if (instance == null) {
            instance = new AppiumSourceXmlCommand();
        }
        return instance;
    }

    @Override
    public int getCommandId() {
        return 46;
    }

    @Override
    public void doSend(DataOutput output) throws IOException {

    }

    @Override
    public String buildReceive(DataInput input) throws IOException {
        return readText(input);
    }
}
